
include ../../config.mk

ifdef CONFIG_SL700
FISH2 =  fish2_1.png fish2_2.png fish2_3.png fish2_4.png \
	fish2_5.png fish2_6.png fish2_7.png fish2_8.png

KINGYO = kingyo1.png kingyo2.png kingyo3.png kingyo4.png \
	kingyo5.png kingyo6.png kingyo7.png kingyo8.png
endif

ifdef CONFIG_SL300
FISH2 =  fish2_1_small.png fish2_2_small.png fish2_3_small.png \
	fish2_4_small.png fish2_5_small.png fish2_6_small.png \
	fish2_7_small.png fish2_8_small.png

KINGYO = kingyo1_small.png kingyo2_small.png kingyo3_small.png \
	kingyo4_small.png kingyo5_small.png kingyo6_small.png \
	kingyo7_small.png kingyo8_small.png
endif

all:fish2.c kingyo.c

fish2.c: $(FISH2) ../../tools/bin2c
	../../tools/bin2c fish2.c "" $(FISH2)
	mv fish2.c ..

kingyo.c: $(KINGYO) ../../tools/bin2c
	../../tools/bin2c kingyo.c "" $(KINGYO)
	mv kingyo.c ..

../../tools/bin2c:
	make -C ../../tools

